## ros-foxy-ros2topic 0.9.13

=== debian/changelog ===
ros-foxy-ros2topic (0.9.13-1focal) focal; urgency=high

  * Added changelogs
  * Contributors: Dharini Dutia

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-ros2topic (0.9.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-ros2topic (0.9.11-1focal) focal; urgency=high

  * support QoS Depth and History via ros2 topic pub/echo. (#528 <https://github.com/ros2/ros2cli/issues/528>) (#674 <https://github.com/ros2/ros2cli/issues/674>)
  * Contributors: Nikos Koukis

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-ros2topic (0.9.10-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-ros2topic (0.9.9-1focal) focal; urgency=high

  * 0.9.9
  * Contributors: Audrow Nash

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Mar 2021 00:00:00 -0000

ros-foxy-ros2topic (0.9.8-1focal) focal; urgency=high

  * [Foxy backport] add --keep-alive option to 'topic pub' (#544 <https://github.com/ros2/ros2cli/issues/544>)  use transient_local and longer keep-alive for pub tests (#546 <https://github.com/ros2/ros2cli/issues/546>) Use reliable QoS for ros2topic tests (#555 <https://github.com/ros2/ros2cli/issues/555>) (#565 <https://github.com/ros2/ros2cli/issues/565>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.5-1focal) focal; urgency=high

  * Guard against passing None to rclpy subscriber (#520 <https://github.com/ros2/ros2cli/issues/520>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.4-1focal) focal; urgency=high

  * Use consistent quotes in help messages (#517 <https://github.com/ros2/ros2cli/issues/517>)
  * Fix typo in ros2 topic delay help (#510 <https://github.com/ros2/ros2cli/issues/510>)
  * Contributors: Audrow Nash, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.3-1focal) focal; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 May 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.1-1focal) focal; urgency=high

  * Fix expectation of "Incompatible QoS" messages in unit test (#496 <https://github.com/ros2/ros2cli/issues/496>)
  * Contributors: Miaofei Mei

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 May 2020 00:00:00 -0000

ros-foxy-ros2topic (0.9.0-1focal) focal; urgency=high

  * Implement times for ros2 topic pub (#491 <https://github.com/ros2/ros2cli/issues/491>)
  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
  * [ros2topic bw] Monotonic clock, units, fstring (#455 <https://github.com/ros2/ros2cli/issues/455>)
  * Replace deprecated launch_ros usage (#487 <https://github.com/ros2/ros2cli/issues/487>)
  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Fix formatting of "ros2 topic info -v" output (#473 <https://github.com/ros2/ros2cli/issues/473>)
  * Added incompatible event support to ros2 topic echo and ros2 topic pub (#410 <https://github.com/ros2/ros2cli/issues/410>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * used get_available_rmw_implementations from rclpy (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon (#459 <https://github.com/ros2/ros2cli/issues/459>)
  * Enhanced ros2 topic info to display node name, node namespace, topic type and qos profile of the publishers and subscribers. (#385 <https://github.com/ros2/ros2cli/issues/385>)
  * use f-string (#448 <https://github.com/ros2/ros2cli/issues/448>)
  * only load required entry points which improves the performance (#436 <https://github.com/ros2/ros2cli/issues/436>)
  * Add support for showing info of hidden topic (#423 <https://github.com/ros2/ros2cli/issues/423>)
  * [ros2topic] Use import message logic provided by rosidl_runtime_py (#415 <https://github.com/ros2/ros2cli/issues/415>)
  * Use imperative mood in constructor docstring. (#422 <https://github.com/ros2/ros2cli/issues/422>)
  * Add timestamp to ros2topic test where needed (#416 <https://github.com/ros2/ros2cli/issues/416>)
  * Contributors: Alejandro Hernández Cordero, ChenYing Kuo, Chris Lalancette, Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Jaison Titus, Miaofei Mei, Peter Baughman, Shane Loretz, Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-ros2topic (0.8.6-1focal) focal; urgency=high

  * [ros2topic] show default values for --qos-* options (#400 <https://github.com/ros2/ros2cli/issues/400>)
  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#399 <https://github.com/ros2/ros2cli/issues/399>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ros2topic (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Fix ros2 topic pub --node-name (#398 <https://github.com/ros2/ros2cli/issues/398>)
  * Contributors: Shane Loretz


